Subject: Re: bug#52420: admin/release-branch.txt: move NEWS in single commit

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Dec 2021 10:16:38 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 11 Dec 2021 01:30:01 +0000
> 
> In admin/release-branch.txt, step 4 says:
> 
>     Set the version on the master branch to the next major release:
> 
>      M-x set-version RET XY+1.0.50 RET
> 
>     This creates a new file etc/NEWS.XY.  "git add" it.
> 
> I think the instructions should be changed so that the NEWS file is
> moved like this:
> 
>     git mv etc/NEWS etc/NEWS.NN
> 
> And then committed in a single commit.  This way, git will be able to
> track it as a rename and we preserve the ability to use git blame, etc.
> 
> I'm not sure if any changes will have to be made to set-version in
> admin/admin.el.

I think we should modify admin.el to use "git mv" and commit that
(after prompting), instead of calling rename-file etc. that it does
today.  IOW, there should be no need to do the above manually.